SAMConnection->isConnected
SAMConnection->peekAll
SAM Functions
PHP Manual

# SAMConnection->peek

(No version information available, might be only in CVS)

SAMConnection->peek — Read a message from a queue without removing it from the queue.

### Description

SAMConnection
SAMMessage peek ( string `$target` [, array `$properties` ] )

### Parameters

`target`

  The identity of the queue from which to peek the message.

`properties`

  An optional associative array of properties describing other parameters to control the peek operation.

  Property name | Possible values
  --- | ---
  SAM_CORRELID | This is the target correlation id string of the message. This would typically have been returned by a "send" request.
  SAM_MESSAGEID | This is the message id string of the message which is to be peeked.

### Return Values

This method returns a SAMMessage object or `FALSE` if an error occurs.

### Examples

Example #1 Retrieve the next message from a queue without removing it

`<?php
$msg = $conn->peek('queue://receive/test');
if (!$msg) {
// The peek failed!
echo "Peek failed ($conn->errno) $conn->error";
}
?>`

Example #2 Retrieve a specific message from a queue without removing it from the queue

`<?php
$msg = $conn->peek('queue://receive/test', array(SAM_MESSAGEID => $messageId));
?>`

### See Also

- SAMConnection->peekAll

SAMConnection->isConnected
SAMConnection->peekAll
SAM Functions
PHP Manual